import type { MessageOptions } from "discord.js";

export declare type ModuleConfig = {
	module: string
	enabled: boolean
	persistent: boolean
	color: {
		discord: string
		console: string
		minecraft: string
	};
	import: boolean
	description: string
};

export declare type Message = {
	string: string,
	logTo: {
		console?: boolean
		discord?: number
		minecraft?: boolean
		user?: boolean
	},
	args: Array<string>
}

export declare type Output = {
	console: string
	minecraft: string
	discord: MessageOptions
}

export declare function Command(message: Message): Promise<Output>

export declare type CommandConfig = {
	name: string
	exeFunc: string
	module: string
	description: Output
}